commit: bbea50e4972472d4603ad280a85b67018f2d7162
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 23 07:17:28 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 23 07:25:36 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbea50e4
dev-python/watchdog: Bump to 2.0.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/watchdog/Manifest | 1 +
dev-python/watchdog/watchdog-2.0.3.ebuild | 40 +++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-python/watchdog/Manifest b/dev-python/watchdog/Manifest
index 7794392df31..c67d748f4a7 100644
--- a/dev-python/watchdog/Manifest
+++ b/dev-python/watchdog/Manifest
@@ -1,2 +1,3 @@
DIST watchdog-1.0.2.tar.gz 91796 BLAKE2B
001cbe82ff8aff0c4e56e4d1f02519047580cccb48466566ad7c9c1f462f90a9a036cf90846eb38ec4fb24ff1df2a1ddfec20b3f0587afdc1f938ada1bb0b1ef
SHA512
e87a0955ce822daabd7d030804876698f98ed2aad58486e26a94585763655302063f091b653abd385ea99642361b6253d8e051d96019b243a77b078ba86b0d6e
DIST watchdog-2.0.2.tar.gz 95452 BLAKE2B
e3a071cdf1c47698cd54bbaf925c4eb7e2af7398ced73aa332e57472cba2f5ce2ce1b96a31d3f5f3a525cabf81d5de528d95d0c59148150f407abb8ebc64538e
SHA512
6134ad22b350b7b2893b564c4f02bd35b1be515fa18dd7f7000b191994b5ba48c5bf573819d2f363de227481a6bb8a0a14973e7c6611de367df2a3f228656ed1
+DIST watchdog-2.0.3.tar.gz 95524 BLAKE2B
568e9d66efbfa98c19dab704681dbc48f869b59d51d7c7ff7ce1fd7465efcc6233f871e7f9276f2732692645491f2fd197a639b17e9a3d8abb76d0148a934796
SHA512
e1c506e4ead8c3ee8d19e456b67623f3a1823007be6c1fad0d76c697205696183e7bd15e46c21bf61abce6dd16d267e55da8986633eeee337d10c609318fb958
diff --git a/dev-python/watchdog/watchdog-2.0.3.ebuild
b/dev-python/watchdog/watchdog-2.0.3.ebuild
new file mode 100644
index 00000000000..ac974a0c8ed
--- /dev/null
+++ b/dev-python/watchdog/watchdog-2.0.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python API and shell utilities to monitor file system events"
+HOMEPAGE="https://github.com/gorakhargosh/watchdog"
+SRC_URI="https://github.com/gorakhargosh/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+CDEPEND="dev-python/pyyaml[${PYTHON_USEDEP}]"
+RDEPEND="${CDEPEND}
+ dev-python/argh[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+ test? (
+ >=dev-python/pytest-timeout-0.3[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' setup.cfg || die
+ default
+}
+
+python_test() {
+ epytest -p no:django
+}
+
+pkg_postinst() {
+ optfeature "Bash completion" dev-python/argcomplete
+}